
def random_query_database(host, user, password, database, query):
    import pymysql
    import random
    from pymysql.cursors import DictCursor
    
    # Connect to the database
    connection = pymysql.connect(host=host,
                                 user=user,
                                 password=password,
                                 database=database,
                                 cursorclass=DictCursor)
    
    try:
        # Execute the random query
        with connection.cursor() as cursor:
            cursor.execute(query)
            # Fetch the result
            result = cursor.fetchone()
            return result
    finally:
        # Close the connection
        connection.close()



